<div class="modal-header">
    <button type="button" class="close" ng-click="cancel()">×</button>
    <h3 class="modal-title" translate="AGENT_VIEW_CREATE_DEFAULT_CONFIGURATION"></h3>
    <div class="row">
        <div class="col-md-2" ng-repeat="agent in selectedAgents | orderBy:'lastName'">
            {{agent.lastName}} ({{agent.number}})
        </div>
    </div>
</div>
<div class="modal-body">
    <form name="membershipForm">
        <table ng-table="queuesTable" class="table table-striped table-condensed">
            <tr ng-repeat="queue in $data">
                <td><span class="glyphicon glyphicon-trash" ng-click="removeQueue(queue)"></span></td>
                <td data-title="'QUEUE_NUMBER' | translate" sortable="'number'"> <span class="badge">{{queue.number}}</span></td>
                <td data-title="'QUEUE_DISPLAY_NAME' | translate" sortable="'displayName'"> {{queue.displayName}}</td>
                <td data-title="'QUEUE_PENALTY' | translate" sortable="'penalty'">
                    <div>
                        <input class="form-control" ng-class="classPenalty(queue.penalty)" type="number" ng-model="queue.penalty" ng-required="true" min="0" max="20" />
                    </div>
                </td>
            </tr>
        </table>
    </form>
    <form name="queueForm" class="form-inline" ng-submit="queueForm.$valid && addQueue(newQueue.queue, newQueue.penalty)" novalidate>
        <div class="form-group">
            <label for="queueSelector" translate="QUEUE"></label>
            <select class="form-control" id="queueSelector" ng-model="newQueue.queue" ng-required="true"
                    ng-options="queue.displayName for queue in addableQueues | orderBy:'displayName'">
            </select>
        </div>
        <div class="form-group">
            <label for="queuePenalty" translate="QUEUE_PENALTY"></label>
            <input class="form-control" id="queuePenalty" ng-model="newQueue.penalty" type="number"  ng-required="true" min="0" max="20">
        </div>
        <div class="form-group">
            <button type="submit" class="btn btn-success" ng-disabled="queueForm.$invalid"><span class="glyphicon glyphicon-plus"></span></button>
        </div>
    </form>
</div>
<div class="modal-footer">
    <button class="btn btn-success" ng-click="ok()" ng-disabled="membershipForm.$invalid || queues.length == 0" translate="BTN_SAVE"></button>
    <button class="btn btn-warning" ng-click="cancel()" translate="BTN_CANCEL"></button>
</div>
</script>